
%define plugin	skinelchi
%define name	vdr-plugin-%plugin
%define version	0.1.1
%define prever	pre2
%define rel	18

Summary:	VDR plugin: Elchi VDR Skin-Plugin
Name:		%name
Version:	%version
%if %prever
Release:	%mkrel 0.%prever.%rel
%else
Release:	%mkrel %rel
%endif
Group:		Video/Utilities
License:	GPL+
URL:		http://www.vdr-portal.de/board/thread.php?threadid=41915
%if %prever
Source:		vdr-%plugin-%version%prever.tar.bz2
%else
Source:		vdr-%plugin-%version.tar.bz2
%endif
Patch0:		skinelchi-0.1.1pre2-i18n-1.6.patch
# warning: cannot pass objects of non-POD type ‘class cString’ through ‘...’; call will abort at runtime
Patch7:		skinelchi-non-pod-type.patch
# dpatches from e-tobi
Patch1:		03_const-warning-fixes.dpatch
Patch2:		90_vdr-skinelchi-0.1.1pre2.PatchCollection.dpatch
Patch3:		91_skinelchi-0.1.1pre2-1.5.0.dpatch
Patch4:		92_vdr-skinelchi-0.1.1_pre2-vdr-1.5.5-getfont.dpatch
Patch5:		93_vdr-1.5.15.dpatch

Patch6:		skinelchi-format-string.patch
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	imagemagick-devel
Requires:	vdr-abi = %vdr_abi

%description
VDR skin plugin, based on:
    - original-skins of vdr
    - Elchi for vdr 1.2.6 and enElchi/Elchi for text2skin
    - osdimage from brougs78

%vdr_chanlogo_notice

%prep
%if %prever
%setup -q -n %plugin-%version%prever
%else
%setup -q -n %plugin-%version
%endif
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%vdr_plugin_prep

perl -pi -e 's,/video/epgimages,%{_vdr_plugin_cachedir}/epgimages,' setup.c skinelchi.c

%vdr_plugin_params_begin %plugin
# optional path for epgimages (default: %{_vdr_plugin_cachedir}/epgimages)
var=ICACHE
param=--icache=ICACHE
# path for channel logos
var=LOGO_DIR
param=--logos=LOGO_DIR
default=%{_vdr_chanlogodir}
%vdr_plugin_params_end

cat > README.install.urpmi <<EOF
%vdr_chanlogo_notice
EOF

%build
VDR_PLUGIN_EXTRA_FLAGS="$(pkg-config --cflags ImageMagick++)"
%vdr_plugin_build HAVE_IMAGEMAGICK=1

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README HISTORY README.install.urpmi


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-0.pre2.18.mga3
+ Revision: 385312
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.1.1-0.pre2.17.mga3
+ Revision: 330788
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.1.1-0.pre2.16.mga3
+ Revision: 305087
- update rpm group

* Wed Mar 07 2012 anssi <anssi> 0.1.1-0.pre2.16.mga2
+ Revision: 221053
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.1.1-0.pre2.15.mga2
+ Revision: 214846
- rebuild for VDR 1.7.23

* Mon Sep 26 2011 dmorgan <dmorgan> 0.1.1-0.pre2.14.mga2
+ Revision: 147869
- Rebuild against new libMagick++

  + fwang <fwang>
    - rebuild for new imagemagick

* Sat May 14 2011 anssi <anssi> 0.1.1-0.pre2.12.mga1
+ Revision: 98519
- fix license tag
- drop old scriptlets
- imported package vdr-plugin-skinelchi

